
//
// To jest przykładowy kod z podrozdziału 23.8.6 „Zbiory i przedziały znaków” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include <boost/regex.hpp>
#include <iostream>
#include <stdexcept>
#include <string>

using namespace std;

//------------------------------------------------------------------------------
using namespace boost;

int main()
try
{
    string s = "\"[[:alnum:]]+\"";

    // Dodatkowo trzeba zastosować symbole zastępcze dla ukośników

    regex r("\\\"[[:alnum:]]+\\\"");
}
catch (std::exception& e) {
    cerr << "Błąd: " << e.what() << '\n'; 
    return 1;
}
catch (...) {
    cerr << "Nieznany wyjątek!\n"; 
    return 2;
};

//------------------------------------------------------------------------------
